module CBucketEnum
    use OperationScenariosModule
    implicit none
    contains
    subroutine Set_MudBucket(v)
        use CManifolds, only: ToggleMudBox
        implicit none
        integer , intent(in) :: v
#ifdef ExcludeExtraChanges
        if(MudBucket == v) return
#endif
        MudBucket = v
        if (MudBucket == MUD_BUCKET_INSTALL) then
            call ToggleMudBox(.true.)
        else if (MudBucket == MUD_BUCKET_REMOVE) then
            call ToggleMudBox(.false.)
        endif
#ifdef deb
	    print*, 'MudBucket=', MudBucket
#endif
        call OnMudBucketChange%RunAll()
    end subroutine
    
    integer function Get_MudBucket()
        implicit none
        Get_MudBucket = MudBucket
    end function

        
!     subroutine ButtonPress_MudBoxInstallation()
!         implicit none
        
        
!         if (data%Configuration%Hoisting%DriveType == TopDrive_DriveType) then
! #ifdef OST
!             print*, 'ButtonPress_MudBoxInstallation=TopDrive'
! #endif
!         endif
!         if (data%Configuration%Hoisting%DriveType == Kelly_DriveType) then
! #ifdef OST
!             print*, 'ButtonPress_MudBoxInstallation=Kelly'
! #endif
            

!             call Set_MudBucket(MUD_BUCKET_INSTALL)

!         endif
        
        
        
        
        
!     end subroutine
    
!     subroutine ButtonPress_MudBoxRemove()
!         implicit none
        
        
!         if (data%Configuration%Hoisting%DriveType == TopDrive_DriveType) then
!             #ifdef OST
!                         print*, 'ButtonPress_MudBoxRemove=TopDrive'
!             #endif
!         endif
!         if (data%Configuration%Hoisting%DriveType == Kelly_DriveType) then
!             #ifdef OST
!                         print*, 'ButtonPress_MudBoxRemove=Kelly'
!             #endif
!             call Set_MudBucket(MUD_BUCKET_REMOVE)

!         endif
        
!     end subroutine
    
end module CBucketEnum